Subject: Re: [patch net-next] switchdev: call bridge setlink/dellink ndos recursively

From: roopa <[email-masked]>
Date: Mon, 16 Mar 2015 10:07:02 -0700

On 3/16/15, 9:36 AM, Jiri Pirko wrote:
> Mon, Mar 16, 2015 at 04:21:03PM CET, [email-masked] wrote:
>> On 3/16/15, 7:22 AM, Jiri Pirko wrote:
>>> There has been a discussion about if it's better to let masters to
>>> propagate call down themself or if its better just blindly go down and
>>> try to call ndo on every lower netdev. Turned out that more people (me
>>> not included) like the second option better.
>>>
>>> This patch changes bridge setlink/dellink in that direction.
>>> Sorry Roopa for forcing you to do it the way I liked initially.
>>>
>>> Signed-off-by: Jiri Pirko <[email-masked]>
>> no worries. thanks for submitting the patch Jiri.
>>
>> One thing though (Which i also mentioned in one of the threads on this),
>> the below command will not work with layered devices with the below patch.
>> Because 'self' commands will directly try to find the switch port driver from
>> rtnetlink.c and they dont use the switch dev api.
>>
>> bridge link set dev bond0 learning off self
>>
>>
>> The code that currently exists in the tree with bond and team supporting the
>> op
>> will actually work.
> Hmm, interesting.
>
> DaveM, this might be a good argument for call propagation. What do you
> think?
>
For the stp api, it is not...because stp is run in the bridge driver and 
always involves the switchdev api.

lets hold on to in-tree getlink/setlink before we find a better way.

my 2c